<?php
/**
 * KaTeX filter settings
 *
 * @package    filter_katexloader
 * @copyright  2018 Kosaku Nagasaka (nagasaka@main.h.kobe-u.ac.jp)
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die;

if ($ADMIN->fulltree) {
    $item = new admin_setting_heading('filter_katexloader/localinstall',
                                      new lang_string('localinstall', 'filter_katexloader'),
                                      new lang_string('localinstall_help', 'filter_katexloader'));
    $settings->add($item);

    $item = new admin_setting_configtext('filter_katexloader/katex_min_css_url',
                                         new lang_string('katex_min_css_url', 'filter_katexloader'),
                                         new lang_string('katex_min_css_url_help', 'filter_katexloader'),
                                         'https://cdn.jsdelivr.net/npm/katex@0.10.0/dist/katex.min.css',
                                         PARAM_RAW);
    $settings->add($item);

    $item = new admin_setting_configtext('filter_katexloader/katex_min_js_url',
                                         new lang_string('katex_min_js_url', 'filter_katexloader'),
                                         new lang_string('katex_min_js_url_help', 'filter_katexloader'),
                                         'https://cdn.jsdelivr.net/npm/katex@0.10.0/dist/katex.min.js',
                                         PARAM_RAW);
    $settings->add($item);

    $item = new admin_setting_configtext('filter_katexloader/autorender_min_js_url',
                                         new lang_string('autorender_min_js_url', 'filter_katexloader'),
                                         new lang_string('autorender_min_js_url_help', 'filter_katexloader'),
                                         'https://cdn.jsdelivr.net/npm/katex@0.10.0/dist/contrib/auto-render.min.js',
                                         PARAM_RAW);
    $settings->add($item);

    $default = '[
  {left: "$$", right: "$$", display: true},
  {left: "\\(", right: "\\)", display: false},
  {left: "\\[", right: "\\]", display: true}
]';

    $item = new admin_setting_configtextarea('filter_katexloader/delimiters',
                                             new lang_string('delimiters','filter_katexloader'),
                                             new lang_string('delimiters_help', 'filter_katexloader'),
                                             $default);

    $settings->add($item);

    $default = '[
"script", "noscript", "style", "textarea", "pre", "code"
]';

    $item = new admin_setting_configtext('filter_katexloader/ignored_tags',
                                         new lang_string('ignored_tags', 'filter_katexloader'),
                                         new lang_string('ignored_tags_help', 'filter_katexloader'),
                                         $default);
    $settings->add($item);

}
